For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Getting Started
    • Introduction
    • How Verifa Works
    • Quickstart
    • Choosing an Integration Method
  • Use Cases
    • KYC Onboarding
    • Age Verification
    • AML Compliance
    • Fraud Prevention
    • Marketplace Trust & Safety
  • Core Concepts
    • Overview
    • Sessions
    • Verifications & Checks
    • Workflows
    • Identities
    • Cases
    • Screening & Reports
    • Lists
  • Integration Guides
    • Overview
    • JavaScript SDK
    • Web Capture Flow
    • API-Only Integration
    • Mobile SDK
    • Webhooks Guide
    • MCP Server
    • Migrating from Persona
  • API Details
    • Overview
    • Authentication
    • Pagination
    • Rate Limiting
    • Versioning
    • Errors
    • Webhooks
    • Idempotency
    • Key Inflection
    • Data Access
    • Data Retention
  • Tutorials
    • Creating Your First Verification Session
    • Creating a Workflow
    • Receiving Webhooks & Validating Signatures
    • Handling Webhook Events
    • Custom Document Types & AI Extraction
  • Best Practices
    • Testing
    • Preventing Duplicates
    • Fraud Signals
    • Changelog
  • API Reference
      • GETList API keys
      • POSTCreate API key
      • GETRetrieve API key
      • PATCHUpdate API key
      • POSTExpire API key
      • POSTClone API key
      • GETGet rate limit status
API ReferenceAPI Keys

Expire API key

POST
https://devapi.withverifa.com/api/v1/api-keys/:api_key_id/expire
POST
/api/v1/api-keys/:api_key_id/expire
$curl -X POST https://devapi.withverifa.com/api/v1/api-keys/api_key_id/expire \
> -H "X-API-Key: <apiKey>"
1{
2 "id": "string",
3 "expired": true
4}
Permanently revokes an API key. This action cannot be undone. You cannot expire the key used to authenticate this request.
Was this page helpful?
Previous

Clone API key

Next
Built with

Authentication

X-API-Keystring

Organization API key. Keys are prefixed with vk_live_ (production) or vk_sandbox_ (sandbox).

Path parameters

api_key_idstringRequired

Headers

Verifa-VersiondateOptional

API version date string (e.g. 2026-02-01). If omitted, the version pinned to your API key is used.

Response

API key expired.
idstring
expiredboolean

Errors

401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error